Index: trunk/info/info/alkisn/alkisinlayausk.php
===================================================================
--- trunk/info/info/alkisn/alkisinlayausk.php	(revision 422)
+++ trunk/info/info/alkisn/alkisinlayausk.php	(revision 425)
@@ -17,4 +17,5 @@
 	2020-12-15 Input-Validation und Strict Comparisation (===)
 	2021-03-09 Link zum GebÃ€udenachweis auch mit "Bauwerke" betiteln
+	2021-12-09 Neue Parameter: $katAmtMix (Kataster-Amt-Mix)
 */
 ini_set("session.cookie_httponly", 1);
@@ -56,6 +57,7 @@
 <body class ="mbfi">
 END;
-// <body style='width: 98%;'>
+
 $erlaubnis = darf_ich(); if ($erlaubnis === 0) { die('<p class="stop1">Abbruch</p></body>'); }
+$dbg=$debug; // CONF in Arbeits-Variable
 
 // Body des Inlay muss in Mapbender-Feature-Info-PopUp passen. Kleiner als 750 aus css.
@@ -65,6 +67,6 @@
 // *** F L U R S T U E C K ***
 $sql ="SELECT f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, g.gemarkungsnummer, g.bezeichnung, f.gemeindezugehoerigkeit_regierungsbezirk, f.gemeindezugehoerigkeit_kreis, f.gemeindezugehoerigkeit_gemeinde, f.istgebucht
-FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
-WHERE f.gml_id= $1 AND f.endet IS NULL AND g.endet IS NULL;";
+FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ".UnqKatAmt("f","g")
+."WHERE f.gml_id= $1 AND f.endet IS NULL AND g.endet IS NULL;";
 
 $v = array($gmlid);
@@ -73,7 +75,13 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Flurstuecksdaten.</p>";
-	if ($debug > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities(str_replace("$1", "'".$gmlid."'", $sql), ENT_QUOTES, "UTF-8")."</p>";}
-}
-
+	if ($dbg > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities(str_replace("$1", "'".$gmlid."'", $sql), ENT_QUOTES, "UTF-8")."</p>";}
+}
+if ($dbg > 0) {
+	$zeianz=pg_num_rows($res);
+	if ($zeianz > 1){
+		echo "\n<p class='err'>Die Abfrage liefert mehr als ein (".$zeianz.") Flurst&uuml;cks-Objekt!</p>";
+		if ($dbg > 2) {echo "\n<p class='dbg'>SQL=<br>".htmlentities(str_replace("$1","'".$gmlid."'",$sql), ENT_QUOTES, "UTF-8")."</p>";}
+	}
+}
 if ($row = pg_fetch_assoc($res)) {
 	$gemkname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
@@ -97,5 +105,5 @@
 if ( ($filtkreis != '' and $filtkreis != $fskrs) or ($filtgem != '' and $filtgem != $fsgem) ) {
 	// Einer der gesetzten Filter passt nicht
-	if ($debug > 2) {
+	if ($dbg > 2) {
 		echo "\n<p class='err'>Filter Kreis='".$filtkreis."', Gemeinde='".$filtgem."'</p>";
 		echo "\n<p class='err'>Flstk. Kreis='".$fskrs."', Gemeinde='".$fsgem."'</p>";
@@ -125,12 +133,15 @@
 	."<img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''>"
 ."</a><br>";
+
 // FS-Historie
-echo "\n\t\t\t\t<a href='javascript:imFenster(\"alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
-	."title='Vorg&auml;nger des Flurst&uuml;cks'>Historie&nbsp;"
-	."<img src='ico/Flurstueck_Historisch.png' width='16' height='16' alt=''>"
-."</a><br>";
-// Gebaeude-NW zum FS
+if ($fsHistorie){ // conf
+	echo "\n\t\t\t\t<a href='javascript:imFenster(\"alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
+		."title='Vorg&auml;nger des Flurst&uuml;cks'>Historie&nbsp;"
+		."<img src='ico/Flurstueck_Historisch.png' width='16' height='16' alt=''>"
+	."</a><br>";
+}
+// GebÃ€ude-NW zum FS
 echo "\n\t\t\t\t<a href='javascript:imFenster(\"alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
-	."title='Geb&auml;ude oder Bauwerke'>Geb&auml;ude/Bauw.&nbsp;"
+	."title='Geb&auml;ude oder Bauwerke auf oder an diesem Flurst&uuml;ck'>Geb&auml;ude/Bauw.&nbsp;"
 	."<img src='ico/Haus.png' width='16' height='16' alt=''>"
 ."</a>";
@@ -149,5 +160,5 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Lagebezeichnung mit Hausnummer.</p>";
-	if ($debug > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities(str_replace("$1", "'".$gmlid."'", $sql), ENT_QUOTES, "UTF-8")."</p>";}
+	if ($dbg > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities(str_replace("$1", "'".$gmlid."'", $sql), ENT_QUOTES, "UTF-8")."</p>";}
 }
 $j=0;
@@ -192,5 +203,5 @@
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Lagebezeichnung ohne Hausnummer.</p>";
-	if ($debug > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities(str_replace("$1", "'".$gmlid."'", $sql), ENT_QUOTES, "UTF-8")."</p>";}
+	if ($dbg > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities(str_replace("$1", "'".$gmlid."'", $sql), ENT_QUOTES, "UTF-8")."</p>";}
 }
 $kgmlalt='';
@@ -216,7 +227,7 @@
 	}
 	echo "\n\t\t<td>\n\t\t\t<p class='nwlink noprint'>";
-	if ($sname != "") { // Typ=Strasse
+	if ($sname != "") { // Typ=StraÃe
 		$kgml=$row["kgml"]; // Wiederholung vermeiden
-		if ($kgml != $kgmlalt) { // NEUE Strasse vor Lage-O
+		if ($kgml != $kgmlalt) { // NEUE StraÃe vor Lage-O
 			$kgmlalt=$kgml; // Katalog GML-ID
 			echo "\n\t\t\t<a class='noprint' title='Flurst&uuml;cke mit oder ohne Hausnummer".$slink."' "
